Skip to main content

Prime Webhook

1 API call in this section.

Prime Webhook (Status Update)​

External & Carrier Integrations / Prime Webhook
POST/carriers/webhooks/prime

POST /carriers/webhooks/prime — Prime sends status updates here. Authenticate using Authorization: Bearer <webhook_secret>.

Headers

ParameterTypeDescription
Authorizationstring

Example: Bearer {{prime_webhook_secret}}

Content-Typestring

Example: application/json

Body parameters

ParameterTypeDescription
stepCodestring—
caseIdstring—
custReceiptNoOristring—
Staging
Request
curl
1curl --globoff --request POST "https://staging-api.ondi.io/functions/v1/carriers/webhooks/prime" \2  --header "Authorization: Bearer ${PRIME_WEBHOOK_SECRET}" \3  --header "Content-Type: application/json" \4  --data-raw '{5  "stepCode": "ONWAY",6  "caseId": "123456",7  "custReceiptNoOri": "DEL-00001"8}'

Response examples

No saved response example. Use Try it to inspect a staging response.